Bug 46436 - Improve error reporting in Proxy Gui
Improve error reporting in Proxy Gui
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
Nightly (Please specify date)
PC Linux
: P2 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-12-22 08:14 UTC by Rose-Line Werner
Modified: 2009-01-25 10:34 UTC (History)
2 users (show)



Attachments
patch_bug46436.txt (3.69 KB, patch)
2009-01-14 07:28 UTC, Rose-Line Werner
Details | Diff
Patch to add French translation for the two new messages added by the main patch. (971 bytes, patch)
2009-01-25 01:31 UTC, Milamber
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rose-Line Werner 2008-12-22 08:14:51 UTC
Hi,

I'm using JMeter r723926 (Version of 6 Dec 08). 

When I set up the JMeter Http Proxy Controller with a port which is already in use by another process then, although a warning is posted in the jmeter.log, there is no alert in the Gui (Http Proxy Server Controller) notifying the user about the occupied port.

Especially for jMeter beginners which are not used to check the log file, an alert like the following would be very helpful:

When pressing the START button of the Http Proxy Server Controller, the alert "Port XYZ is already in use, please choose a different one." is displayed.

Thanks for your great work.
Comment 1 Rose-Line Werner 2009-01-14 07:28:37 UTC
Created attachment 23118 [details]
patch_bug46436.txt

with the patch, an alert window will be shown if the proxy port is already in use. Additionally, an error log entry is written to jmeter.log
Comment 2 Sebb 2009-01-24 10:24:56 UTC
Thanks for the patch.

Although the patch worked, it was still a bit confusing for the user as the Stop/Start buttons were still updated as if the proxy had started correctly.

So I ended up making a more substantial change; see SVN revisisions:

r737409
r737410
r737411
Comment 3 Milamber 2009-01-25 01:31:57 UTC
Created attachment 23175 [details]
Patch to add French translation for the two new messages added by the main patch.
Comment 4 Ralf Hauser 2009-01-25 02:39:54 UTC
see also Bug 46438
Comment 5 Sebb 2009-01-25 10:34:33 UTC
Thanks, applied patch to French properties file